<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Sat Apr 25 19:48:02 CEST 2020 -->
<title>BTree</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-04-25">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BTree";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BTree.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">es.uned.lsi.eped.DataStructures</a></div>
<h2 title="Class BTree" class="title">Class BTree&lt;E&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="Collection.html" title="class in es.uned.lsi.eped.DataStructures">es.uned.lsi.eped.DataStructures.Collection</a>&lt;E&gt;</li>
<li>
<ul class="inheritance">
<li><a href="Tree.html" title="class in es.uned.lsi.eped.DataStructures">es.uned.lsi.eped.DataStructures.Tree</a>&lt;E&gt;</li>
<li>
<ul class="inheritance">
<li>es.uned.lsi.eped.DataStructures.BTree&lt;E&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;E&gt;</code>, <code><a href="CollectionIF.html" title="interface in es.uned.lsi.eped.DataStructures">CollectionIF</a>&lt;E&gt;</code>, <code><a href="TreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">TreeIF</a>&lt;E&gt;</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">BTree&lt;E&gt;</span>
extends <a href="Tree.html" title="class in es.uned.lsi.eped.DataStructures">Tree</a>&lt;E&gt;
implements <a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;E&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.es.uned.lsi.eped.DataStructures.BTreeIF">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;es.uned.lsi.eped.DataStructures.<a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a></h3>
<code><a href="BTreeIF.IteratorModes.html" title="enum in es.uned.lsi.eped.DataStructures">BTreeIF.IteratorModes</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.es.uned.lsi.eped.DataStructures.Tree">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;es.uned.lsi.eped.DataStructures.<a href="Tree.html" title="class in es.uned.lsi.eped.DataStructures">Tree</a></h3>
<code><a href="Tree.html#root">root</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.es.uned.lsi.eped.DataStructures.Collection">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;es.uned.lsi.eped.DataStructures.<a href="Collection.html" title="class in es.uned.lsi.eped.DataStructures">Collection</a></h3>
<code><a href="Collection.html#size">size</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">BTree</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#clear()">clear</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#contains(E)">contains</a></span>&#8203;(<a href="BTree.html" title="type parameter in BTree">E</a>&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getFanOut()">getFanOut</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getHeight()">getHeight</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code><a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLeftChild()">getLeftChild</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNumChildren()">getNumChildren</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code><a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRightChild()">getRightChild</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code><a href="IteratorIF.html" title="interface in es.uned.lsi.eped.DataStructures">IteratorIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#iterator(java.lang.Object)">iterator</a></span>&#8203;(java.lang.Object&nbsp;mode)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeLeftChild()">removeLeftChild</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeRightChild()">removeRightChild</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLeftChild(es.uned.lsi.eped.DataStructures.BTreeIF)">setLeftChild</a></span>&#8203;(<a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;&nbsp;child)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setRightChild(es.uned.lsi.eped.DataStructures.BTreeIF)">setRightChild</a></span>&#8203;(<a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;&nbsp;child)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setRoot(E)">setRoot</a></span>&#8203;(<a href="BTree.html" title="type parameter in BTree">E</a>&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#size()">size</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.es.uned.lsi.eped.DataStructures.Tree">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;es.uned.lsi.eped.DataStructures.<a href="Tree.html" title="class in es.uned.lsi.eped.DataStructures">Tree</a></h3>
<code><a href="Tree.html#getRoot()">getRoot</a>, <a href="Tree.html#isEmpty()">isEmpty</a>, <a href="Tree.html#isLeaf()">isLeaf</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.es.uned.lsi.eped.DataStructures.CollectionIF">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;es.uned.lsi.eped.DataStructures.<a href="CollectionIF.html" title="interface in es.uned.lsi.eped.DataStructures">CollectionIF</a></h3>
<code><a href="CollectionIF.html#isEmpty()">isEmpty</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.es.uned.lsi.eped.DataStructures.TreeIF">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;es.uned.lsi.eped.DataStructures.<a href="TreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">TreeIF</a></h3>
<code><a href="TreeIF.html#getRoot()">getRoot</a>, <a href="TreeIF.html#isLeaf()">isLeaf</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BTree</h4>
<pre>public&nbsp;BTree()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getLeftChild()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLeftChild</h4>
<pre class="methodSignature">public&nbsp;<a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;&nbsp;getLeftChild()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="BTreeIF.html#getLeftChild()">getLeftChild</a></code>&nbsp;in interface&nbsp;<code><a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a id="getRightChild()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRightChild</h4>
<pre class="methodSignature">public&nbsp;<a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;&nbsp;getRightChild()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="BTreeIF.html#getRightChild()">getRightChild</a></code>&nbsp;in interface&nbsp;<code><a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a id="setRoot(java.lang.Object)">
<!--   -->
</a><a id="setRoot(E)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRoot</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setRoot&#8203;(<a href="BTree.html" title="type parameter in BTree">E</a>&nbsp;e)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="BTreeIF.html#setRoot(E)">setRoot</a></code>&nbsp;in interface&nbsp;<code><a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a id="setLeftChild(es.uned.lsi.eped.DataStructures.BTreeIF)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLeftChild</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setLeftChild&#8203;(<a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;&nbsp;child)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="BTreeIF.html#setLeftChild(es.uned.lsi.eped.DataStructures.BTreeIF)">setLeftChild</a></code>&nbsp;in interface&nbsp;<code><a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a id="setRightChild(es.uned.lsi.eped.DataStructures.BTreeIF)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRightChild</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setRightChild&#8203;(<a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;&nbsp;child)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="BTreeIF.html#setRightChild(es.uned.lsi.eped.DataStructures.BTreeIF)">setRightChild</a></code>&nbsp;in interface&nbsp;<code><a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a id="removeLeftChild()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeLeftChild</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;removeLeftChild()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="BTreeIF.html#removeLeftChild()">removeLeftChild</a></code>&nbsp;in interface&nbsp;<code><a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a id="removeRightChild()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeRightChild</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;removeRightChild()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="BTreeIF.html#removeRightChild()">removeRightChild</a></code>&nbsp;in interface&nbsp;<code><a href="BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a id="size()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;size()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="CollectionIF.html#size()">size</a></code>&nbsp;in interface&nbsp;<code><a href="CollectionIF.html" title="interface in es.uned.lsi.eped.DataStructures">CollectionIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="Collection.html#size()">size</a></code>&nbsp;in class&nbsp;<code><a href="Collection.html" title="class in es.uned.lsi.eped.DataStructures">Collection</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a id="clear()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;clear()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="CollectionIF.html#clear()">clear</a></code>&nbsp;in interface&nbsp;<code><a href="CollectionIF.html" title="interface in es.uned.lsi.eped.DataStructures">CollectionIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="Tree.html#clear()">clear</a></code>&nbsp;in class&nbsp;<code><a href="Tree.html" title="class in es.uned.lsi.eped.DataStructures">Tree</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a id="contains(java.lang.Object)">
<!--   -->
</a><a id="contains(E)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;contains&#8203;(<a href="BTree.html" title="type parameter in BTree">E</a>&nbsp;e)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="CollectionIF.html#contains(E)">contains</a></code>&nbsp;in interface&nbsp;<code><a href="CollectionIF.html" title="interface in es.uned.lsi.eped.DataStructures">CollectionIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Tree.html#contains(E)">contains</a></code>&nbsp;in class&nbsp;<code><a href="Tree.html" title="class in es.uned.lsi.eped.DataStructures">Tree</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a id="getNumChildren()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumChildren</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getNumChildren()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="TreeIF.html#getNumChildren()">getNumChildren</a></code>&nbsp;in interface&nbsp;<code><a href="TreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">TreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Tree.html#getNumChildren()">getNumChildren</a></code>&nbsp;in class&nbsp;<code><a href="Tree.html" title="class in es.uned.lsi.eped.DataStructures">Tree</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a id="getFanOut()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFanOut</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getFanOut()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="TreeIF.html#getFanOut()">getFanOut</a></code>&nbsp;in interface&nbsp;<code><a href="TreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">TreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Tree.html#getFanOut()">getFanOut</a></code>&nbsp;in class&nbsp;<code><a href="Tree.html" title="class in es.uned.lsi.eped.DataStructures">Tree</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a id="getHeight()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeight</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getHeight()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="TreeIF.html#getHeight()">getHeight</a></code>&nbsp;in interface&nbsp;<code><a href="TreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">TreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Tree.html#getHeight()">getHeight</a></code>&nbsp;in class&nbsp;<code><a href="Tree.html" title="class in es.uned.lsi.eped.DataStructures">Tree</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a id="iterator(java.lang.Object)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>iterator</h4>
<pre class="methodSignature">public&nbsp;<a href="IteratorIF.html" title="interface in es.uned.lsi.eped.DataStructures">IteratorIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;&nbsp;iterator&#8203;(java.lang.Object&nbsp;mode)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="TreeIF.html#iterator(java.lang.Object)">iterator</a></code>&nbsp;in interface&nbsp;<code><a href="TreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">TreeIF</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Tree.html#iterator(java.lang.Object)">iterator</a></code>&nbsp;in class&nbsp;<code><a href="Tree.html" title="class in es.uned.lsi.eped.DataStructures">Tree</a>&lt;<a href="BTree.html" title="type parameter in BTree">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BTree.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
